* {
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

:root {
  --pink: #ff2f92;
  --mint: #7eeadf;
  --dark: #06263d;
  --white: #ffffff;
}

body {
  font-family: 'Poppins', sans-serif;
  color: var(--dark);
  overflow-x: hidden;
}

h2{
  line-height: 100%;
}
/* TYTUL - DRAGON FRUIT */

.hero {
  height: 100vh;
  position: relative;
  overflow: hidden;
  background: linear-gradient(135deg, var(--mint) 50%, #6ad3c5 50%), 
              linear-gradient(to bottom, rgba(126, 234, 223, 0) 70%, rgba(126,234,223,0.5) 100%);
  background-blend-mode: overlay; 
}


/* dragon */
.herotext-fg {
  font-size: 5vw;        
  letter-spacing: 10vw;  
  color: var(--pink);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  animation: float 5s ease-in-out infinite;
}

/* fruit*/
.herotext-bg {
  font-size: 30vw;      
  color:#f0fffe;
  position: absolute;
  mix-blend-mode: multiply;
  text-shadow:0 0 30px rgba(187, 187, 187, 0.856);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  letter-spacing: 2vw;
  pointer-events: none;
  user-select: none;
  font-weight: bolder;
  animation: float 8s ease-in-out infinite;
}


@keyframes float {
  0% { transform: translate(-50%, -50%) translateY(0); }
  50% { transform: translate(-50%, -50%) translateY(-20px); }
  100% { transform: translate(-50%, -50%) translateY(0); }
}


/* MENU */
.nav {
  display: flex;
  justify-content: space-between; 
  align-items: center;
  padding: 1.25rem 2.5rem;
  position: fixed; 
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  box-shadow: 0 0.125rem 0.3125rem rgba(0,0,0,0.1);
  background-color: #ff2f9233;
  backdrop-filter: blur(20px);
}

/* LOGO */
.nav .logo {
  background-color: var(--pink);
  color: var(--white);
  font-weight: bold;
  font-size: 1śrem;
  letter-spacing: 0.5rem;
  padding: 10px 30px; 
  border-radius: 30px; 
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: default;
  margin-left: 10%;
}

/* menu po prawej */
.nav .menu {
  display: flex;
  list-style: none;
  gap: 30px; 
  margin-right: 10%;
  padding: 0;
}

/* menu linki */
.nav .menu li a {
  color: var(--white);
  text-decoration: none;
  font-size: 1rem;
  text-transform: lowercase; 
  transition: color 0.3s ease;
}

/* efekt hover menu*/
.nav .menu li a:hover {
  color: var(--pink);
}

/* EGZOTYCZNY OWOC SEKCJA*/

.about {
  display: flex;
  justify-content: center;
  padding: 400px 20px;
  background: linear-gradient(to bottom, rgba(126, 234, 223, 0.5) 0%, #ffffff 100%);
}

.about-box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background:linear-gradient(to bottom, #96DAD7, #DCFFF7);
  padding: 50px;
  border-radius: 25px; 
  box-shadow: 0 0 60px rgba(4, 141, 221, 0.7); 
  max-width: 1200px;
  width: 100%;
  gap: 50px;
}

/* Lewa część: tekst */
.about-text {
  flex: 1;
  color: #06263d; 
}

.underline {
  width: 100px;         
  height: 4px;         
  background-color: var(--pink); 
  margin-top: 10px;     
  margin-bottom: 20px;
}

.about-text h2 {
  color: var(--pink);
  font-size: 3rem;
  margin-bottom: 10px;
  text-transform: uppercase;
  
}

.about-text p {
  font-size: 1rem;
  line-height: 1.6;
  margin-bottom: 20px;
  font-weight: lighter;
}

.about-text .btn {
  display: inline-block;
  padding: 10px 90px;
  margin-top: 40px;
  background: linear-gradient(
    135deg, 
    rgba(192, 239, 242, 0.26) 0%,  
    rgba(204, 251, 255, 0.81) 100%  
  );
  border: 0.5px solid #06263d;
  color: black;
  text-decoration: none;
  font-weight: 100;
  transition: 0.5s ease;
  border-radius: 0%;
}

.about-text .btn:hover {
  background-color:#ff2f92;
}

/* obrazek po prawo */
.about-image {
  width: 400px;       
  height: 400px;       
  border-radius: 50%;  
  overflow: hidden;    
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 0 30px rgba(255, 47, 146, 0.5); 
}

.about-image img {
  width: 100%;         
  height: 100%;        
  object-fit: cover;   
  border-radius: 50%;  
}


/* SKĄD POCHODZI SEKCJA*/

.origin {
  position: relative;
  display: flex;
  padding: 50px;     
  min-height: 1200px;
  overflow: hidden;
}

/* tło po prawej */
.origin-bg {
  position: absolute;
  top: 0;
  right: 0;
  width: 50%;
  height: 100%;
  z-index: 1;
  clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 53% 100%);
}

.origin-bg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: blur(8px);
   transform: scale(1.1)
}

.origin-box {
  display: flex;
  justify-content: space-between;
  align-items: center;  
  max-width: 1100px;    
  width: 100%;
  z-index: 2;
  position: relative;
  gap: 50px;

  margin: 0 auto;      
}

/* lewa strona tekst */
.origin-text {
  flex: 1;
  text-align: left;
  font-weight: lighter;
  color: #06263d;
}

.origin-text h2 {
  font-size: 5rem;
  color: #ff2f92;
  margin-bottom: 10px;
  text-transform: uppercase;
}

.underline2 {
  width: 80px;
  height: 4px;
  background-color: #ff2f92;
  margin-bottom: 20px;
}

.origin-text p {
  line-height: 1.5;
  margin-bottom: 20px;
}

/* Przycisk */
.origin-text .btn {
  display: inline-block;
  padding: 10px 90px;
  background: linear-gradient(
    135deg,
    rgba(192, 239, 242, 0.26) 0%,  
    rgba(204, 251, 255, 0.81) 100%
  );
  border: 0.5px solid #06263d;
  color: black;
  text-decoration: none;
  font-weight: 100;
  margin-top: 100px;
  transition: 0.3s ease;
 
}

.origin-text .btn:hover {
  background-color: #ff2f92;
  color: white;
}

/* prawa strona MAPA */
.map-container {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.map-container .map {
  margin-left: 700px; 
  width: 200%;
  max-width: 1200px;
}

/* Punkty na mapie */
.point {
  position: absolute;
  width: 20px;
  height: 20px;
  background-color:#6ad3c5;
  border-radius: 50%;
  border: 2px solid rgb(255, 255, 255);
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 3;
}

/* tooltip */
.point .tooltip {
  position: absolute;
  bottom: 120%;
  left: 50%;
  transform: translateX(-50%) translateY(0);
  background: linear-gradient(
    135deg,
    rgba(192, 239, 242, 0.26) 0%,  
    rgba(204, 251, 255, 0.81) 100%
  );
  color: black;
  padding: 50px 50px;
  border-radius: 5px;
  font-size: 0.7rem;
  white-space: nowrap;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.point:hover .tooltip {
  opacity: 1;
}

/* BUDOWA SEKCJA*/

.build {
  padding: 300px 20px;
  background-color: #e0f7f5; 
  display: flex;
  justify-content: center; 

   background: 
    linear-gradient(135deg, var(--mint) 50%, #6ad3c5 50%), 
    linear-gradient(to bottom, rgba(126, 234, 223, 0) 70%, rgba(126,234,223,0.5) 100%);

  background-blend-mode: overlay; 
}

.about-box1 {
  display: flex;
  align-items: flex-start;
  gap: 60px;
  max-width: 1200px;
  width: 100%;
}

/* lewa strona tekst*/
.build-text {
  flex: 0 0 35%; 
}

/* Nagłówek i underline */
.build-text h2 {
  font-size: 5rem;
  color: #ffffff;
  margin-bottom: 10px;
  text-transform: uppercase;
  margin-left: 10px;
}

.underline3 {
  width: 120px;
  height: 4px;
  background-color: #ffffff;
  margin-bottom: 30px;
  margin-left: 12px;
}

/* opis */
.text-box {
  background: linear-gradient(to bottom, #96DAD7, #DCFFF7);
  padding: 30px 20px;
  border-radius: 20px;
  box-shadow: 0 0 40px rgba(4, 141, 221, 0.4);
  max-height: 600px;  /* wyższy box */
  max-width: 400px;
  
}

.text-box p {
  font-size: 16px;
  line-height: 1.8;
  color: #06263d;
  font-weight: lighter;
  margin-bottom: 20px; 
}

/* przycisk*/
.btn {
  display: inline-block;
  padding: 10px 90px;
  background: linear-gradient(
    135deg,
    rgba(192, 239, 242, 0.26) 0%,
    rgba(204, 251, 255, 0.81) 100%
  );
  border: 0.5px solid #000000;
  color: black;
  text-decoration: none;
  font-weight: lighter;
  transition: 0.4s ease;
  margin-left: 10px;
}

.btn:hover {
  background-color: #ff2f92;
  color: #fff;
}

/* prawa strona obraz*/
.fruit-container {
  flex: 0 0 100%; 
  position: relative;
  display: flex;
  justify-content: center;
  margin-left: -10px;
}

.fruit-container img {
  width: 200%;
  max-width: 750px; 
  height: auto;
  display: block;
}

/* punkty */
.point {
  position: absolute;
  width: 20px;
  height: 20px;
  background-color:#7eeadf;
  border-radius: 50%;
  cursor: pointer;
}

.tooltip {
  position: absolute;
  top: -35px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #06263d;
  color: #fff;
  padding: 6px 10px;
  border-radius: 8px;
  font-size: 12px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: 0.3s;
}

.point:hover .tooltip {
  opacity: 1;
}


/*KUP TERAZ SEKCJA*/
.buy {
  /* background: white; */
  padding: 100px 60px;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.buy-title {
  color: #ff2f92;
  font-size: 5rem;
  margin-bottom: 60px;

}
.buy-content {
  max-width: 800px;
  width: 100%;
  display: flex;
  gap: 20px;
  position: relative;
}
.buy-left{
  flex: 1;
  /* background-color: red; */
}
.buy-right{
  flex: 1;
  /* background-color: green; */
}
.buy label {
  display: flex;
  flex-direction: column;
  font-size: 0.9rem;
  margin-bottom: 25px;
}
.buy input[type="email"],
.buy input[type="tel"],
.buy input[type="number"] {
  flex: 1;
  border: 1px solid #999;
  padding: 10px;
  font-size: 1rem;
  margin-top: 8px;
  text-decoration: none;
}
.newsletter {
  /* background-color: red; */
  flex-direction: row !important;
  align-items: flex-start;
}
.buy .newsletter label{
  /* background-color: green; */
  width: 70%;
  display: inline !important;
}
.buy input[type=checkbox]{
  margin-top: 5px;
  margin-right: 10px;
  display: inline !important;
  width: 20px;
  display: inline-block;
}

.buy-btn {
  padding: 10px 115px;
  background: linear-gradient(
    135deg,
    rgba(192, 239, 242, 0.26) 0%,
    rgba(204, 251, 255, 0.81) 100%
  );
  border: 0.5px solid #06263d;
  color: black;
  text-decoration: none;
  font-weight: light;
  transition: 0.4s ease;
  font-size: medium;
  
}

.buy-btn:hover {
  background-color:#ff2f92;
  color: #ffffff;
}

.dragon-bg {   
  position: absolute; 
  top: 0;
  right: -100px; 
  animation: dragonFloat 8s ease-in-out infinite;
  z-index: -1;
  /* display: flex; */
  /* margin-left: 1200px; */
  /* margin-right: auto; */
  /* justify-content: right; */
  /* margin-top: -350px; */
  max-width: 100%;
}

@keyframes dragonFloat {
  0% { transform: translateY(0) translateX(0); }
  50% { transform: translateY(-20px) translateX(-10px); }
  100% { transform: translateY(0) translateX(0); }
}

/***************************/

/*STOPKA*/
.footer {
  background: #05243a;
  color: white;
  padding: 150px 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.footer-content {
  max-width: 1200px;
  display: flex;
  align-items: flex-end;
  gap: 80px;
}
.footer-left{
  /* background-color: red; */
  flex: 1;
}
.footer-right{
  /* background-color: green; */
  flex: 1;
}

.footer-logo {
  background: #ff2f92;
  padding: 6px 20px;
  border-radius: 20px;
  display: inline-block;
  margin-bottom: 20px;
}

.footer p {
  font-size: 0.9rem;
  line-height: 1.6;
  font-weight: lighter;
  max-width: 80%;
}

.underline6 {
  margin-top: 4rem;
  max-width: 1200px;
  width: 100%;
  height: 1px;
  background-color:#ff2f92;
  margin-bottom: 30px;
}


/*PRZEPISY SEKCJA*/
.recipes {
  position: relative;
  padding: 200px 10px;
  background: #ff2f92;
  overflow: hidden;
}

.title-recip
{
  font-size: 4rem;
  color: #ffffff;
  margin-bottom: 10px;
  text-transform: uppercase;
  margin-left: 27%;

}

.underline5
{
  width: 100px;         
  height: 4px;         
  background-color:#fff;
  margin-top: 10px;     
  margin-bottom: 50px;
  margin-left: 10px;;
}


/* DUŻY NAPIS W TLE */
.recipes-bg-text {
  position: absolute;
  font-size: 30vw;
  font-weight: 700;
  color: rgba(156, 82, 158, 0.243);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -3;
}

/* BOX */
.recipes-box {
  max-width: 1200px;
  margin: 0 auto;
  background: rgba(255,255,255,0.3);
  backdrop-filter: blur(100%);
  border-radius: 40px;
  padding: 1px;
  animation: fadeUp 1.2s ease forwards;
  position: relative;
  max-height: 1200px;
}

/* GALERIA */
.recipes-gallery {
  display: grid;
  grid-template-columns: 1fr 1.5fr 1fr;
  height: 470px; 
  gap: 0;
}

.gallery-column {
  display: flex;
  flex-direction: column;
  gap: 0px;
  z-index: -1;
  opacity: 0.5; 
}

.round-left-top {
  border-top-left-radius: 30px;
}

.round-right-top {
  border-top-right-radius: 30px;
}

.recipes-gallery img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.4s ease, box-shadow 0.4s ease;
}

.recipes-gallery img:hover {
  transform: scale(1.05);
  box-shadow: 0 0 40px rgba(255,255,255,0.4);
}

/* ŚRODKOWE ZDJĘCIE */
.gallery-center img {
  border: 3px solid white;
  z-index: 1;
  height: 470px; 
}

/* PRZEPIS CONTENT */
.recipe-content {
  padding: 40px;
  border-radius: 30px;
  animation: fadeUp 1.5s ease forwards;
  font-size: 2.2rem;
}

/* TYTUŁ */
.recipe-content h3 {
  text-align: center;
  font-size: 3rem;
  color: white;
  margin-bottom: 40px;
}

/* KOLUMNY */
.recipe-columns {
  display: grid;
  grid-template-columns: 1fr 1.5fr;
  gap: 20px;
  font-size: 1rem;
}

/* NAGŁÓWKI */
.recipe-columns h4 {
  color: white;
  margin-bottom: 15px;
  font-size: 1.2rem;
  text-transform: uppercase;
}

/* SKŁADNIKI */
.ingredients ul {
  list-style: none;
  font-size: 0.5rem;
  font-weight: lighter;
}

.ingredients li {
  margin-bottom: 10px;
  font-weight: 300;
  font-size: 1.2rem;
  color: white;
}

/* PRZYGOTOWANIE */
.preparation p {
  margin-bottom: 15px;
  line-height: 1.6;
  color: white;
  font-weight: lighter;
  font-size: 1rem;
}

/* ANIMACJE */
@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(60px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}



